<div class="p-d-flex p-jc-between">
  <ng-container *ngIf="showChooseButtons">
    <button
      (click)="close(false)"
      class="p-button-raised p-button-danger p-button-text"
      icon="pi pi-times"
      label="reject"
      pButton
      type="button"
    ></button>
    <button
      (click)="close(true)"
      class="p-button-raised p-button-success p-button-text"
      icon="pi pi-check"
      label="agree"
      pButton
      type="button"
    ></button>
  </ng-container>
  <ng-container *ngIf="!showChooseButtons">
    <div class="p-d-flex p-jc-center" style="width: 100%">
      <button
        (click)="closeWithoutResult()"
        class="p-button-raised p-button-success p-button-text"
        icon="pi pi-check"
        label="Ok"
        pButton
        style="width: 100px"
        type="button"
      ></button>
    </div>
  </ng-container>
</div>
